#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EHDRVisualization {
    None = 0,
    Heatmap = 1,
    Analysis = 2,
    HeatmapExtended = 3,
    HeatmapClassic = 4,
}

impl EHDRVisualization {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::Heatmap as i32 => Some(Self::Heatmap),
            x if x == Self::Analysis as i32 => Some(Self::Analysis),
            x if x == Self::HeatmapExtended as i32 => Some(Self::HeatmapExtended),
            x if x == Self::HeatmapClassic as i32 => Some(Self::HeatmapClassic),
            _ => None,
        }
    }
}
